List of all members
clan::XMLWriter Class Reference
clanCore XML

The XML Writer writes a XML file based on XML tokens. More...

`#include <xml_writer.h>`

## Public Member Functions
Construction
| XMLWriter ()
| XMLWriter (const XMLWriter &copy)
| Constructs a XMLWriter. More...
| XMLWriter (IODevice &output)
| Constructs a XMLWriter. More...
virtual | ~XMLWriter ()
Attributes
bool | get_insert_whitespace () const
| Returns the insert whitespace flag. More...
void | set_insert_whitespace (bool enable)
| Inserts whitespace between tags if enabled. More...
Operations
void | write (const XMLToken &token)
| Write token to file. More...

## Detailed Description

The XML Writer writes a XML file based on XML tokens.

The documentation for this class was generated from the following file:

- xml_writer.h